<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="page_ble_toolchain" kind="group">
    <compoundname>page_ble_toolchain</compoundname>
    <title>Supported Software and Tools</title>
    <detaileddescription>
<para>This version of the PSoC 6 BLE Middleware was validated for compatibility with the following Software and Tools:</para><para /><para><bold>Note <superscript>1</superscript></bold> The PSoC 6 BLE Middleware includes the pre-compiled libraries for Arm Compiler 6. They are built with the following options to be compatible with ModusToolbox and MBED:<linebreak />
 '-fshort-enums' - Set the size of an enumeration type to the smallest data type that can hold all enumerator values.<linebreak />
 '-fshort-wchar' - Set the size of wchar_t to 2 bytes.<linebreak />
 To operate in custom environments with Arm Compiler 6, apply the above mentioned build options. </para>    </detaileddescription>
  </compounddef>
</doxygen>